org.apache.synapse.transport.http.conn

## Class ProxyTunnelHandler

- java.lang.Object
- - org.apache.synapse.transport.http.conn.ProxyTunnelHandler

-     public class ProxyTunnelHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyTunnelHandler(org.apache.http.conn.routing.HttpRoute route, ClientConnFactory connFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.HttpRequest` | `generateRequest(org.apache.http.protocol.HttpContext context)`
    `org.apache.http.HttpHost` | `getProxy()`
    `void` | `handleResponse(org.apache.http.HttpResponse response, org.apache.http.nio.NHttpClientConnection conn)`
    `boolean` | `isCompleted()`
    `boolean` | `isRequested()`
    `boolean` | `isSuccessful()`
    `void` | `setRequested()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyTunnelHandler

          public ProxyTunnelHandler(org.apache.http.conn.routing.HttpRoute route,
                                    ClientConnFactory connFactory)

  - ### Method Detail

    - #### generateRequest

          public org.apache.http.HttpRequest generateRequest(org.apache.http.protocol.HttpContext context)
                                                      throws IOException,
                                                             org.apache.http.HttpException

      Throws:
        `IOException`
        `org.apache.http.HttpException`

    - #### setRequested

          public void setRequested()

    - #### isRequested

          public boolean isRequested()

    - #### handleResponse

          public void handleResponse(org.apache.http.HttpResponse response,
                                     org.apache.http.nio.NHttpClientConnection conn)

    - #### isCompleted

          public boolean isCompleted()

    - #### isSuccessful

          public boolean isSuccessful()

    - #### getProxy

          public org.apache.http.HttpHost getProxy()

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.